
QGIS Application - Bug report #9190

Deleting entry from servers list - can still "Connect"

2013-12-11 04:07 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee: Alvaro Huarte

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17818

Description

1) Add a server to WMS/WFS/WCS dialog

2) Delete that server (so there are now no servers)

The "Connect" button is still clickable; should be greyed out as there is nothing to connect to (this happens correctly in the Oracle dialog.

History

#1 - 2013-12-11 04:12 AM - Jonathan Moules

"Edit", "Delete" and "Save" are also not greyed out at this point.

#2 - 2013-12-16 04:57 AM - Alvaro Huarte

- Pull Request or Patch supplied changed from No to Yes

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Assignee set to Alvaro Huarte

Done (This PR also fixes #9191):

https://github.com/qgis/QGIS/pull/1028

#3 - 2013-12-16 05:03 AM - Alvaro Huarte

- % Done changed from 100 to 80

#4 - 2013-12-16 06:41 AM - Alvaro Huarte

- % Done changed from 80 to 100

#5 - 2013-12-17 09:04 AM - Alvaro Huarte

- Status changed from Open to Resolved

#6 - 2013-12-17 09:17 AM - Jürgen Fischer

- Status changed from Resolved to Closed

fixed in commit:57e9411f263b682489fc61c5755423bfdcfeed2a
